<?php

define('_IN_JOHNCMS', 1);
$rootpath = '';
require_once ("incfiles/core.php");
$textl = '' . $copyright . ' - Курс валют';
require_once ("incfiles/head.php");

//Определяем сегодняшнюю дату в формате, который используется на сайте cbr.ru
            $date = date("d/m/Y");
            $yesterday = date("d/m/Y", time()-3600*24);
			$today = date("d/m/Y", time()+3600*24);
//Определим код нашей валюты на сайте cbr.ru
$code='R01235'; //Америконский доллар
$code2='R01239'; //Евро
//Выполняем первый пункт, считываем страницу с курсами валют в переменную
$file = file_get_contents("http://www.cbr.ru/scripts/XML_daily.asp?date_req=".$date);
$filey = file_get_contents("http://www.cbr.ru/scripts/XML_daily.asp?date_req=".$yesterday);
//Разбираем страницу с помощью регулярок:
preg_match("#<Valute ID=\"" . $code . "\".*?>(.*?)</Valute>#is", $file, $m);
preg_match("#<Value>(.*?)</Value>#is", $m[1], $r);
preg_match("#<Valute ID=\"" . $code . "\".*?>(.*?)</Valute>#is", $filey, $my);
preg_match("#<Value>(.*?)</Value>#is", $my[1], $ry);
preg_match("#<Valute ID=\"" . $code2 . "\".*?>(.*?)</Valute>#is", $file, $m2);
preg_match("#<Value>(.*?)</Value>#is", $m2[1], $r2);
preg_match("#<Valute ID=\"" . $code2 . "\".*?>(.*?)</Valute>#is", $filey, $my2);
preg_match("#<Value>(.*?)</Value>#is", $my2[1], $ry2);
//Запятую, отделяющую дробную часть заменяем на точку, и у нас в переменной $dollar находится курс доллара.
$dollar = str_replace(",", ".", $r[1]);
$dollary = str_replace(",", ".", $ry[1]);
$evro = str_replace(",", ".", $r2[1]);
$evroy = str_replace(",", ".", $ry2[1]);
if ($dollar < $dollary) {$imgg = '<img src = "/kurs/down.gif" />';}
if ($dollar == $dollary) {$imgg = '<img src = "/kurs/freeze.gif" />';}
if ($dollar > $dollary) {$imgg = '<img src = "/kurs/up.gif" />';}
if ($evro < $evroy) {$imgg2 = '<img src = "/kurs/down.gif" />';}
if ($evro == $evroy) {$imgg2 = '<img src = "/kurs/freeze.gif" />';}
if ($evro > $evroy) {$imgg2 = '<img src = "/kurs/up.gif" />';}
///конец курсы валют
//курс металов
$filezol = file_get_contents("http://www.cbr.ru/scripts/xml_metall.asp?date_req1=".$date."&date_req2=".$today);
preg_match("#<.*Code=\"1\".*?>(.*?)</Record>#is", $filezol, $mzol);
preg_match("#<Buy>(.*?)</Buy>#is", $mzol[1], $rzol);
$zoloto = str_replace(",", ".", $rzol[1]);

preg_match("#<.*Code=\"2\".*?>(.*?)</Record>#is", $filezol, $mser);
preg_match("#<Buy>(.*?)</Buy>#is", $mser[1], $rser);
$ser = str_replace(",", ".", $rser[1]);

preg_match("#<.*Code=\"3\".*?>(.*?)</Record>#is", $filezol, $mpla);
preg_match("#<Buy>(.*?)</Buy>#is", $mpla[1], $rpla);
$pla = str_replace(",", ".", $rpla[1]);

preg_match("#<.*Code=\"4\".*?>(.*?)</Record>#is", $filezol, $mpal);
preg_match("#<Buy>(.*?)</Buy>#is", $mpal[1], $rpal);
$pal = str_replace(",", ".", $rpal[1]);
///конец курсы металов


echo '<div class="phdr"><b>Основные индикаторы финансового рынка</b></div>

<div class="menu">Курсы валют на '.$date.'</div>
<div><img src="kurs/dollar.gif" alt="Доллар США" /> Доллар США '.$dollar.' '.$imgg.'<br />
<img src="kurs/euro.gif" alt="Евро" /> Евро '.$evro.' '.$imgg2.'</div>

<div class="menu">Драгоценные металлы (руб./грамм) на '.$date.'</div><div>
<img src="kurs/gold.png" alt="Золото" /> Золото '.$zoloto.'<br />
<img src="kurs/silver.gif" alt="Серебро" /> Серебро '.$ser.'<br />
<img src="kurs/platinum.gif" alt="Платина" /> Платина '.$pla.'<br />
<img src="kurs/palladium.gif" alt="Палладий" /> Палладий '.$pal.'</div>';

require_once ("incfiles/end.php");

?>